menu.xStep = 1;
menu.yStep = 1;
menu.nXPos = -1;
menu.nYPos = -1;
menu.nXDif = 0;
menu.nYDif = 0;

function callbackPosX( nX )
{
	menu.nXPos = nX;
}

function callbackPosY( nY )
{
	menu.nYPos = nY;
}

function callbackDiffX( nX )
{
	menu.nXDif += nX;
}

function callbackDiffY( nY )
{
	menu.nYDif += nY;
}

function callbackFlickSpeed( nSpeed )
{
}

function down()
{
}

function effect_end()
{
}

function popup_callback()
{
}

function click()
{
}

function drag()
{
}

function drop()
{
}

function flick(index, type)
{
}

function NotifyScreenOffsets( valu )
{
	xOffset = ( valu & 0xFFFF );
	yOffset = ( valu >> 16 );

	move( xOffset );
}

function NotifyScreenOffsetSteps( valu )
{
	menu.xStep = ( valu & 0xFFFF );
	menu.yStep = ( valu >> 16 );
}

function move( offset )
{
	// 時間を格納
	Wallpaper.NowTime = offset * (0x10000 / 0x4000) * 60 / 30;
	// フレームを格納
	Wallpaper.NowFrame = offset * (0x10000 / 0x4000) * 60 / 65536;
	// 座標を格納
	Wallpaper.NowXOffset = -1 * offset * (0x10000 / 0x4000) * ( Wallpaper.ScreenWidth * 2 ) / 65536;
	var i = 0;
	ExtWallpaper.Move( offset );
}
